driver:
  associate_public_ip: true
  aws_ssh_key_id: kitchen
  block_device_mappings:
  - device_name: /dev/sda1
    ebs:
      delete_on_termination: true
      volume_size: 40
      volume_type: gp3
  instance_type: m5.large
  interface: private
  name: ec2
  region: us-west-2
  require_chef_omnibus: true
  retryable_sleep: 30
  security_group_filter:
    tag: Name
    value: kitchen-slave-auto-delete-test
  subnet_filter:
    tag: Name
    value: test-public-us-west-2<%= ['a', 'b', 'c'].sample %>
  tags:
    created-by: test-kitchen
  image_search:
    description: 'PROMOTED *'

transport:
  name: rsync
  timeout: 30
  keepalive: true
  keepalive_interval: 60
  keepalive_maxcount: 20
  connection_retries: 10
  connection_retry_sleep: 2
  connection_timeout: 600
  ssh_key: ~/.ssh/kitchen.pem
